PHPExcel_Writer_Excel2007_Workbook

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write workbook to XML format

    writeWorkbook(\PHPExcel $pPHPExcel, boolean $recalcRequired) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

#### $recalcRequired

`boolean`

Indicate whether formulas should be recalculated before writing

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write BookViews

    _writeBookViews(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel $pPHPExcel)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write calcPr

    _writeCalcPr(\PHPExcel_Shared_XMLWriter $objWriter, boolean $recalcRequired)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $recalcRequired

`boolean`

Indicate whether formulas should be recalculated before writing

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Defined Name for autoFilter

    _writeDefinedNameForAutofilter(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet, int $pSheetId)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

#### $pSheetId

`int`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Defined Name for named range

    _writeDefinedNameForNamedRange(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_NamedRange $pNamedRange)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pNamedRange

`\PHPExcel_NamedRange`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Defined Name for PrintTitles

    _writeDefinedNameForPrintArea(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet, int $pSheetId)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

#### $pSheetId

`int`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Defined Name for PrintTitles

    _writeDefinedNameForPrintTitles(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet, int $pSheetId)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

#### $pSheetId

`int`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Defined Names

    _writeDefinedNames(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel $pPHPExcel)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write file version

    _writeFileVersion(\PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write named ranges

    _writeNamedRanges(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel $pPHPExcel)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write sheet

    _writeSheet(\PHPExcel_Shared_XMLWriter $objWriter, string $pSheetname, int $pSheetId, int $pRelId, string $sheetState)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheetname

`string`

Sheet name

#### $pSheetId

`int`

Sheet id

#### $pRelId

`int`

Relationship ID

#### $sheetState

`string`

Sheet state (visible, hidden, veryHidden)

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write sheets

    _writeSheets(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel $pPHPExcel)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write WorkbookPr

    _writeWorkbookPr(\PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write WorkbookProtection

    _writeWorkbookProtection(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel $pPHPExcel)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter